
<div class="back shadow">
  <h3>Dodaj novu predstavu: </h3>
<form class="ui form" [formGroup]="createPerformaceForm" (ngSubmit)="onCreatePerformanceSubmit()">

    <div class="required fluid field" [ngClass]="{ error: nameHasErrors() }">
        <label>Naziv:</label>
        <input type="text" name="name" formControlName="name">
    </div>
    <div class="ui negative message" *ngIf="nameHasErrors()">
        <ul class="list">
            <li *ngFor="let errorMessage of nameErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field">
        <label>ImgUrl:</label>
        <input type="text" name="imgUrl" formControlName="imgUrl">
    </div>

    <div class="required grouped field">
        <label>Odaberite zanr:</label>
        <div class="field">
            <div class="ui radio checkbox">
                <input type="radio" class="hidden" [value]="GenreEnum.Drama" formControlName="genre">
                <label>{{GenreEnum.Drama}}</label>
            </div>
        </div>
        <div class="field">
            <div class="ui radio checkbox">
                <input type="radio" class="hidden" [value]="GenreEnum.Comedy" formControlName="genre">
                <label>{{GenreEnum.Comedy}}</label>
            </div>
        </div>
        <div class="field">
            <div class="ui radio checkbox">
                <input type="radio" class="hidden" [value]="GenreEnum.Tragedy" formControlName="genre">
                <label>{{GenreEnum.Tragedy}}</label>
            </div>
        </div>
    </div>

    <div class="ui required right labeled fluid input" [ngClass]="{ error: durationHasErrors() }">
        <label class="ui label">Trajanje: </label>
        <input type="number" name="duration" formControlName="duration">
        <div class="ui basic label">min</div>
    </div>
    <div class="ui negative message" *ngIf="durationHasErrors()">
        <ul class="list">
            <li *ngFor="let errorMessage of durationErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field">
        <label>Datum:</label>
        <input type="date" name="date" formControlName="date">
    </div>

    <div class="required fluid field">
        <label>Pozoriste:</label>
        <input type="text" name="theater" formControlName="theater">
    </div>

    <div class="required fluid field" [ngClass]="{ error: shortDescriptionHasErrors() }">
        <label>Kratak opis: </label>
        <textarea rows="2" name="shortDescription" formControlName="shortDescription"></textarea>
    </div>
    <div class="ui negative message" *ngIf="shortDescriptionHasErrors()">
        <ul class="list">
            <li *ngFor="let errorMessage of shortDescriptionErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass]="{ error: longDescriptionHasErrors() }">
        <label>Duzi opis: </label>
        <textarea rows="7" name="longDescription" formControlName="longDescription"></textarea>
    </div>
    <div class="ui negative message" *ngIf="longDescriptionHasErrors()">
        <ul class="list">
            <li *ngFor="let errorMessage of longDescriptionErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="ui required right labeled fluid input" [ngClass]="{ error: priceHasErrors() }">
        <label class="ui label">Cena: </label>
        <input type="number" name="price" formControlName="price">
        <div class="ui basic label">RSD</div>
    </div>
    <div class="ui negative message" *ngIf="priceHasErrors()">
        <ul class="list">
            <li *ngFor="let errorMessage of priceErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="ui required right labeled fluid input" [ngClass]="{ error: numberOfTicketsHasErrors()}">
        <label class="ui label">Broj karata: </label>
        <input type="number" name="numberOfTickets" formControlName="numberOfTickets">
        <div class="ui basic label">karata</div>
    </div>
    <div class="ui negative message" *ngIf="numberOfTicketsHasErrors()">
        <ul class="list">
            <li *ngFor="let errorMessage of numberOfTicketsErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field">
        <label>Reziser:</label>
        <input type="text" name="director" formControlName="director">
    </div>

    <button class="ui fluid button shadow" type="submit">
        Dodaj predstavu
    </button>

</form>
</div>
